#ifndef GSPINNER_H
#define GSPINNER_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <gtk/gtk.h>
#include <pthread.h>
#include <sys/signal.h>
#include <curl/curl.h>

/* the following definitions are used in sscanf() */
#define spinner_format	"http://spinner.com/prplayer/prplayer.jhtml?id=%d"
#define trplayer_format	"%s -n -q \"rtsp://g2rr.spinner.com/spinlinks/%s\""

/* for Channel mangement */
typedef struct _genre
{
	char *name;
	GList *channels;
	GtkWidget *item;
	GtkWidget *menu;
} Genre;

typedef struct _channel
{
	char *name;
	int id;
	GtkWidget *item;
} Channel;

extern char **environ;

#endif /* GSPINNER_H */
